org.eclipse.wst.jsdt.chromium

## Interface Browser.TabFetcher

Enclosing interface:
  Browser

    public static interface Browser.TabFetcher

Helps to fetch currently opened browser tabs. It also holds open connection to browser. After instance was used `#dismiss` should be called to release connection.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `dismiss()` Should release connection.
`java.util.List<? extends Browser.TabConnector>` `getTabs()` Retrieves all browser tabs currently opened.

### Method Detail

#### getTabs

    java.util.List<? extends Browser.TabConnector> getTabs()
                                                    throws java.io.IOException,
                                                           java.lang.IllegalStateException

Retrieves all browser tabs currently opened. It lists all tabs, including those already attached.

Returns:
  tabs that can be debugged in the associated Browser instance. An empty list is returned if no tabs are available.
Throws:
  `java.io.IOException` - if there was a transport layer failure
  `java.lang.IllegalStateException` - if this method is called while another invocation of the same method is in flight, or the Browser instance is not connected

#### dismiss

    void dismiss()

Should release connection. If no browser tabs is attached at the moment, connection may actually close.